EncryptionNotSupportedException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.EncryptionNotSupportedException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Class EncryptionNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.security.SecurityException
                          org.mule.api.security.EncryptionNotSupportedException

All Implemented Interfaces:
  Serializable

    public class EncryptionNotSupportedException

extends SecurityException

`EncryptionNotSupportedException` is thrown if an algorithm is set in the MULE_USER header but it doesn't match the algorithm set on the security filter

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`muleMessage`

Constructor Summary
`EncryptionNotSupportedException(Message message, MuleMessage muleMessage)`
`EncryptionNotSupportedException(Message message, MuleMessage muleMessage, Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MessagingException
`getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncryptionNotSupportedException

    public EncryptionNotSupportedException(Message message,
                                           MuleMessage muleMessage)

### EncryptionNotSupportedException

    public EncryptionNotSupportedException(Message message,
                                           MuleMessage muleMessage,
                                           Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.